/**
 * OW2 Util
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:WarArchiveMetadata.java 2372 2008-02-08 18:18:37Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.war.impl.configurator;

import java.util.List;

import org.ow2.util.ee.metadata.common.impl.configurator.CommonMethodMetadataConfigurator;
import org.ow2.util.ee.metadata.war.api.IWarClassMetadata;
import org.ow2.util.ee.metadata.war.api.IWarFieldMetadata;
import org.ow2.util.ee.metadata.war.api.IWarMethodMetadata;
import org.ow2.util.ee.metadata.war.impl.WarMethodMetadata;
import org.ow2.util.scan.api.configurator.metadata.specific.ISpecificClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JMethod;

/**
 * WarMethodMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarMethodMetadataConfigurator extends
        CommonMethodMetadataConfigurator<IWarClassMetadata, IWarMethodMetadata, IWarFieldMetadata> {

    /**
     * Constructor.
     * @param jMethod signature
     * @param classMetadata parent
     * @param annotationParsingDesactived annotationParsingDesactived
     * @param specificClassConfiguratorList specificClassConfiguratorList
     */
    public WarMethodMetadataConfigurator(
            final JMethod jMethod,
            final IWarClassMetadata classMetadata,
            final boolean annotationParsingDesactived,
            final List<ISpecificClassConfigurator<IWarClassMetadata, IWarMethodMetadata, IWarFieldMetadata>>
                specificClassConfiguratorList) {
        super(new WarMethodMetadata(jMethod, classMetadata), specificClassConfiguratorList);
        if (!annotationParsingDesactived) {
            registerAnnotationVisitor();
        }
    }


}
